﻿/* SMALL AND DEFAULT 

@font-face {
    font-family: 'robotoregular';
    src: url('../CustomContent/Roboto-Regular.eot');
    src: url('../CustomContent/Roboto-Regular.eot?#iefix') format('embedded-opentype'), url('../CustomContent/Roboto-Regular.woff') format('woff'), url('../CustomContent/Roboto-Regular.woff2') format('woff2'), url('../CustomContent/Roboto-Regular.ttf') format('truetype'), url('../CustomContent/Roboto-Regular.svg#robotoregular') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'robotobold';
    src: url('../CustomContent/Roboto-Bold.eot');
    src: url('../CustomContent/Roboto-Bold.eot?#iefix') format('embedded-opentype'), url('../CustomContent/Roboto-Bold.woff2') format('woff2'), url('../CustomContent/Roboto-Bold.woff') format('woff'), url('../CustomContent/Roboto-Bold.ttf') format('truetype'), url('../CustomContent/Roboto-Bold.svg#Roboto-Bold') format('svg');
    font-weight: normal;
    font-style: normal;
}



body {
    font-size: 1.5rem;
    font-family: 'robotoregular';
} 

*/

/* Especialização bootstrap */
    .btn-primary {
        background-color: #3859ad !important;
        color: #fff !important;
    }

    .btn-primary:hover {
        background-color: #3859ad !important;
        color: #fff !important;
    }

    .btn {
        border-radius: 0.4rem;
        /*padding: 0.7rem 1.5rem 0.7rem 1.5rem;*/
        text-transform: none;
        /*font-size: 1.3rem;*/
        font-size:13px
    }
    .btn-secondary, .btn-secondary:hover, .btn-secondary:active, .btn-secondary:not(:disabled):not(.disabled):active, .btn-secondary:not(:disabled):not(.disabled).active, 
    .btn-outline-secondary , .btn-outline-secondary:hover {
        background-color: transparent;
        color: #3859ad;
        border: 1px solid #3859ad;
    }

    .btn-danger { background-color: #F94668; border-color: #F94668; }
    .btn-success { background-color: #3859AD; border-color: #3859AD; }
    .btn-success:hover { background-color: #1dcab7; border-color: #1dcab7; }



/* Estilos válidos para todas as páginas da aplicação */
body { font-size: 14px; }

/* Set padding to keep content from hitting the edges */
.body-content { padding-left: 15px; padding-right: 15px; padding-top: 0px; }

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt { white-space: normal; }

/* ------------------------- */
.titulo-site { font-family: Libre Franklin, Helvetica, Arial, sans-serif; font-weight: bold; text-transform: uppercase; }

table.table td,
table.table th { vertical-align: middle; font-size:12px;}
table.table th { text-align: center; }
.border-left-thick { border-left-width: thick !important; }
table thead tr { background-color: #c9d2e9; height:40px }
table .row { margin-right: 0; margin-left:0;}
.table-striped tbody tr:nth-of-type(odd) {background-color: rgb(115 151 209 / 5%);}
.table-hover tbody tr:hover {background-color: rgb(83 102 218 / 8%);}
.table th, .table td { border-top:none; }
.card { border-color: #f5f5f5 }
.table { border-bottom: 1px solid #ececec}
.table-success, .table-success > th, .table-success > td { background-color: #D9F2F2; }
.table-danger, .table-danger > th, .table-danger > td { background-color: #F7D4DD; }


/* Questionário */
.questionario .list-group-item.active { background-color: #8E8C84; color: #fff; }
.questionario .list-group-item.active:before { font-family: FontAwesome; content: "\f101"; margin-right: 0.25em; }

/* EasyAutocomplete */
.eac-square input { background-image: url("../img/icon_search.png"); background-repeat: no-repeat; background-position: right 10px center; }

/* modal */
@media (min-width: 992px) { 
    .modal-lg {  max-width: 980px; }
}

/* List-items personalizados */
/* --pendencia-aviso */
.list-group-item-pendencia-aviso { color: #7f401f; background-color: #f5ffb2; }
.list-group-item-pendencia-aviso:hover, .list-group-item-pendencia-aviso:focus { color: #7f401f; background-color: #fcdac8; } 
.list-group-item-pendencia-aviso.list-group-item-action.active { color: #7f401f; background-color: #fcdac8; border-color: #0c6251; }

/* --pendencia-erro */
.list-group-item-pendencia-erro { font-weight: bold; color: #712b29; background-color: #d1a39e; }
.list-group-item-pendencia-erro:hover, .list-group-item-pendencia-erro:focus { color: #712b29; background-color: #efbbb9; }
.list-group-item-pendencia-erro.list-group-item-action.active { color: #fff; background-color: #712b29; border-color: #712b29; }

/* --pendencia-erro e aviso */
.list-group-item-pendencia-aviso , .list-group-item-pendencia-erro , #dvValidarPendencias .list-group-item-success { cursor: pointer }
.list-group-item-pendencia-aviso a, .list-group-item-pendencia-erro a, #dvValidarPendencias .list-group-item-success  a { display: contents; color: blue; }

/* -- customizações diversas -- */
.badge-aditivo{ font-size: 0.9em; }

/* -- inverte carets dos collapses */
     a[aria-expanded='false'] > .caret,
button[aria-expanded='false'] > .caret { transform: rotate(180deg); }

/* ------ Iluminar elementos  de testes automatizados ----------
*[class*="tta-"] { -webkit-box-shadow:0px 0px 30px 3px #d6ff00 ; -moz-box-shadow:0px 0px 30px 3px #d6ff00 ; box-shadow:0px 0px 30px 3px #d6ff00 ; }
*/

div.growlUIInterno {  background: url('../img/bloqueado.svg') no-repeat 10px 10px; }
div.growlUIInterno h1 { font-size: 1.5em; }
div.growlUIInterno h2 { font-size: 1em; }
div.growlUIInterno h1, div.growlUIInterno h2 { color: white; padding: 5px 5px 5px 75px; text-align: left; }

.BloqueioEdicaoSecao {cursor: no-drop !important;}

@media screen and (max-width: 800px) {
  #areaBanner h3 { font-size: x-small; }
}

@media screen and (min-width: 801px) and (max-width: 1200px) {
  #areaBanner h3 { font-size: small; }
}

.sc-div > .form-group { height: 100%; display: flex; flex-direction: column; }
.sc-div > .form-group > label { margin-top: auto; }


/* Tela de consulta de licença */
.recapResize { transform:scale(0.78); -moz-transform:scale(0.78); -ms-transform:scale(0.78); -o-transform: scale(0.78);  -webkit-transform:scale(0.78); transform-origin:0 0; -webkit-transform-origin:0 0; }

.input-group-addon.primary { color: rgb(255, 255, 255); background-color: rgb(50, 118, 177); border-color: rgb(40, 94, 142); }
.input-group-addon.success { color: rgb(255, 255, 255); background-color: rgb(92, 184, 92); border-color: rgb(76, 174, 76); }
.input-group-addon.info { color: rgb(255, 255, 255); background-color: rgb(57, 179, 215); border-color: rgb(38, 154, 188); }
.input-group-addon.warning { color: rgb(255, 255, 255); background-color: rgb(240, 173, 78); border-color: rgb(238, 162, 54); }
.input-group-addon.danger { color: rgb(255, 255, 255); background-color: rgb(217, 83, 79); border-color: rgb(212, 63, 58); }

.btnModalCloseCorner { position: absolute; right:-20px; top: -20px; z-index:900; width: 40px; height: 40px; padding: 9px 13px; font-size: 18px;line-height: 1.33;border-radius: 20px;border-color:#fff }
.infoAlternativa .text-danger, .infoPergunta .text-danger { color: #FF0000 !important; }
.infoAlternativa  a.text-danger:hover, .infoAlternativa  a.text-danger:focus, .infoPergunta  a.text-danger:hover, .infoPergunta  a.text-danger:focus { color: #FF0000 !important; }


/* Cabecalho Internet  - Inibido*/
    /*.tta-cabecalho-sistema { height: 120px;max-width: 1140px;margin-left: auto;margin-right: auto;border-bottom: 1px solid rgba(0,0,0,.1);margin-bottom: 5px;position: relative; }
    .tta-cabecalho-sistema::before { content:""; display:block; height:75px; width:236px; position:absolute; bottom:5px; background: url('../CustomContent/logo_portal.svg') 0 0 / 236px; }
    .tta-cabecalho-sistema::after { content:""; display:block; height:70px; width:223px; position:absolute; bottom:10px; right:0px; background: url('../CustomContent/logo_cidade.svg') 0 0 / 223px; }*/

/* Cabeçalho aplicação - Logo + entrar / cadastrar + sessaoUsuario */
    .tta-cabecalho-aplicacao { display:flex; flex-wrap: nowrap; margin-bottom:10px}
    #home_index_content .tta-cabecalho-aplicacao,
    #questionario_index_content .tta-cabecalho-aplicacao,
    #requerimento_assunto_content .tta-cabecalho-aplicacao,
    #consultalicenca_index_content .tta-cabecalho-aplicacao  { max-width: 1360px;margin-left: auto;margin-right: auto;} /* Cabeçalho restrito ao máximo de 1360px */
    .tta-cabecalho-aplicacao .nav-link { white-space:nowrap; }
    .tta-cabecalho-aplicacao > div:first-of-type:not(#sessaoUsuario) { display:none} /* Remove texto para entrar no sistema - precisa nomear o campo*/
    .tta-cabecalho-aplicacao > div:nth-of-type(2) { right: 0px; margin-left: auto; margin-right: 0px; } /* Alinha botoes a direita*/
    .logo-sistema-icone {width: 248px;height: 48px;background: url(../CustomContent/logos_header.png) 0px -7px / 248px 64px no-repeat;min-width: 50px;}
    .logo-cliente {/*width: 153px;min-width: 150px;height: 50px; margin-top:-5px; background: url('/ProdamSP.UL0108.Web/img/logo_cidade.svg') 5px no-repeat; padding-left:5px; border-left: 1px solid gainsboro*/}
    .usuario-img { display: block; float: right; width: 32px; margin-top:5px; }
    .usuario-dados { display: block; }

/* Rodapé aplicação  */
    .tta-rodape-sistema { background-color:#354e8b!important; color: #99abd4; width:100%; display: flex; flex-flow: row-reverse; }
    .tta-rodape-sistema::before { content: ""; display: block; width: 100%; position: absolute; background-color: #3959ac; height: 100px; bottom: 45px; }
    .tta-rodape-sistema span { padding-left: 10px; margin: auto; left: 530px; position: relative; width: 170px; text-align: right; background: url(../CustomContent/lgo_prodam_footer.png) no-repeat 50% 50%; }
    @media (max-width: 1395px) { .tta-rodape-sistema span { margin-right:15px; left:0px } }
    .body-content { padding-bottom:150px} /* Desconto rodapé */
    .tta-rodape-sistema a { display:none;}

.tta-cabecalho-pagina { box-shadow: inset 0 7px 9px -7px rgba(0,0,0,0.4);margin: 0 -15px 15px -15px;padding-left: 20px;padding-top: 25px; }
.body_layout { position: relative;width: 100%; }

/* Configuração da Homepage */
    #HomeContent { height:600px}
    #HomeContent #siteBanner, #AssuntoContent #banner, #QuestionarioContent #banner, #ConsultaDocumentoContent #banner {
        position: relative;
        overflow: hidden;
        height: 540px;
        box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 20px;
        background: url(../CustomContent/img_background.png) center no-repeat;
        background-size: 100% auto;
        font-weight: bold;
        display: flex;
        margin: 0 -15px 0 -15px;
        padding: 0 15px 0 15px;
        margin-bottom: 20px;
        color:transparent;
    }
    @media (max-width: 1310px) { #HomeContent #siteBanner { background-size: 1310px; } }
    #HomeContent #siteBanner::before { 
        content:" "; 
        display:block; height:350px; width:350px; position:relative; bottom:5px; padding: 200px 10px 0px 10px; background: url('../CustomContent/logo_LicencaSampa_branco.png') 0 0 / 350px no-repeat;
        margin:auto; right:420px; color: #fff;
    }
    @media (max-width: 1400px) {  
        #HomeContent #siteBanner::before, #AssuntoContent #banner::before, #QuestionarioContent #banner::before {  margin-left:13px; left:0px }
    }
    @media (max-width: 900px) {  
        #HomeContent #siteBanner::before, #AssuntoContent #banner::before, #QuestionarioContent #banner::before {  display:none; }
    }

    div#solicitacao { position: relative; top: -450px; background-color: #fff; width: 450px; height: 300px; padding: 30px 40px; border-radius: 0.4rem; box-shadow: 0px 3px 6px #00000029; margin:auto; left:440px }
    @media (max-width: 1395px) { div#solicitacao  { margin-right:15px; left:0px } }
    @media (max-width: 900px) { div#solicitacao  { margin-right:auto; left:0px } }
    div#solicitacao::before { content: "Nova solicitação"; display: block; font-size: 20px; }
    div#solicitacao > h5.text-primary { font-size: 13px; margin-top: 10px; }
    div#solicitacao > a:last-of-type { margin-left: 10px;}
    div#autenticidade { position: relative; top: -620px; background-color: #fff; width: 450px; padding: 30px 40px; margin:auto; left:440px; }
    @media (max-width: 1395px) { div#autenticidade  { margin-right:15px; left:0px } }
    @media (max-width: 900px) { div#autenticidade  { margin-right:auto; left:0px } }
    div#autenticidade::before { content: "Autenticidade"; display: block; font-size: 20px; }
    div#autenticidade > h5.text-primary { font-size: 13px; margin-top: 10px; }


/* Configuração banner Questionário / Ja sei Assunto / Autenticidade */
    #AssuntoContent #banner, #QuestionarioContent #banner, #ConsultaDocumentoContent #banner { 
        color: #fff;
        height: 140px;
        overflow: visible;
        margin-bottom: 90px;
        background: url('../CustomContent/background_interno_01-filtro.png') center / 100% auto no-repeat;
    }
    @media (max-width: 1310px) { #AssuntoContent #banner, #QuestionarioContent #banner, #ConsultaDocumentoContent #banner { background-size: 1310px 140px;  } }
    #AssuntoContent #banner > div, #QuestionarioContent #banner > div, #ConsultaDocumentoContent #banner > div {
        margin: 160px auto auto auto;
        right: 535px;
        position: relative;
        font-size: 26px;
        color: #3859AD;
        border-bottom: 4px solid;
        font-weight: bold;
    }
    @media (max-width: 1400px) {  
        #AssuntoContent #banner > div, #QuestionarioContent #banner > div, #ConsultaDocumentoContent #banner > div {  margin-left:13px; left:0px }
    }
    #QuestionarioContent > div:nth-of-type(2), #AssuntoContent > div:nth-of-type(2), #ConsultaDocumentoContent #frmConsultarLicenca {margin-left: auto;margin-right: auto;max-width: 1360px; }/*Centraliza questionario*/


/* Questionário */
    .tta-questionario-alternativa .col-6 { flex: 1 0 50%; min-width: 300px;margin-bottom: 10px!important; }
    .tta-questionario-alternativa .col-6 form { height:100% }
    .tta-questionario-alternativa .btn, 
    .tta-questionario-alternativa .btn.btn-ligth { height:100%; display: flex; flex-flow:wrap; color: #000; border-color: #d1d1d1; background-color: transparent; font-size: 14px; font-weight:900; padding: 15px 35px; }
    .tta-questionario-alternativa .btn.btn-primary { background-color: #527AED!important; color: #fff!important; border-color:#527AED!important;}
    .tta-questionario-alternativa .btn i { padding: 3px 0px;margin-left: -20px;position: absolute;}
    .tta-questionario-alternativa .btn:hover {  background-color: #527AED; color: #fff!important; border-color:#527AED; }

    #QuestionarioContent > .card {border-color: #f7f7f7!important;}
    .tta-questionario-pergunta:not(.ultima) { padding-bottom:0px }
    .tta-questionario-pergunta .fa-caret-square-right { font-weight: 900; }
    tta-questionario-pergunta-texto { font-size: 20px }

    /*  Simula campo informativo sobre a alternativa. Desabilitado, transformar em campo renderizado a partir de novo campo no questionario.
        .tta-questionario-alternativa .btn:after {
        content: "Descrição do assunto lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus libero mauris, auctor eu orci in, congue luctus sem. (13px)";
        position: relative;
        min-height: 50px;
        display: block;
        font-weight: normal;
        white-space: initial;
    }*/

/* Já sei o assunto */
    .tta-licencas-item { flex: 1 0 32%; min-width: 400px; padding: 15px 10px; margin: 5px; border: 1px solid #D9D9D9; border-radius: 5px; 
                         font-weight: 800; font-size:14px; }
    .tta-licencas-item:hover {  background-color: #527AED; color: #fff!important; border-color:#527AED;  }
    .tta-licencas-item:hover a {  color: #fff!important;  }
    .tta-licencas-item a {  display:flex; height:100%  } /* Faz link ocupar todo o card. Necessario quando outro card na linha é maior, evitando espaços sem link. */

/* Meus requerimentos */
#frmRequerimento > .card-body:first-child { background-color: #f6f6f6; margin-bottom: 10px; }
#requerimento_buscarequerimento_content .tta-titulo-pagina { font-size: 26px; color: #3859AD; border-bottom: 4px solid; font-weight: bold; display:inline-block }
#requerimento_buscarequerimento_content .tta-titulo-pagina i { display:none; }
#requerimento_buscarequerimento_content .card,
#requerimento_buscarequerimento_content  .card-body,
#requerimento_buscarequerimento_content  .card-header,
#requerimento_buscarequerimento_content  .card-footer { border: 0px; background-color: transparent;}

/* Detalhes do requerimento */
#requerimento__requerimentodetalhe_content .tta-titulo-pagina { font-size: 26px; color: #3859AD; border-bottom: 4px solid; font-weight: bold; display:inline-block }
#requerimento__requerimentodetalhe_content .tta-titulo-pagina i { display:none; }
#requerimento__requerimentodetalhe_content .card { background-color: #F8FAFC; border-radius: 5px; box-shadow: 0 2px 4px rgba(0,0,0,0.3)  }
#requerimento__requerimentodetalhe_content  .card-body,
#requerimento__requerimentodetalhe_content  .card-header,
#requerimento__requerimentodetalhe_content  .card-footer { border: 0px; background-color: transparent;}
#requerimento__requerimentodetalhe_content  .card-body { padding-top: 0px; padding-bottom: 0.25rem; }


/* Formulário requerimento */
#requerimento_content .tta-titulo-pagina { font-size: 26px; color: #3859AD; border-bottom: 4px solid; font-weight: bold; display:inline-block }
#requerimento_content .tta-titulo-pagina i { display:none; }
#requerimento_content > .card .card-header { background-color: #f5f5f5; }
#requerimento_content .nav-tabs .nav-link { background-color: #f8fafc; 
    box-shadow: rgba(0, 0, 0, 0.24) 0px 0px 3px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}
#requerimento_content .nav-tabs .nav-link.active, #requerimento_content .nav-tabs .nav-item.show .nav-link {
    color: #000000;
    background-color: #fff;
    border-color: #DFD7CA #DFD7CA #fff;
    box-shadow: rgba(0, 0, 0, 0.24) 0px -2px 3px -2px;
}
#requerimento_content .nav-tabs .nav-link, #requerimento_content .nav-tabs .nav-link:hover, #requerimento_content .nav-tabs .nav-link:focus {
    color: #000000;
}
/*
    #requerimento_content > .card {     border:0; margin: 0; }
    #requerimento_content .tta-req-cabecalho { margin: 0 -15px; border-top: 1px solid rgba(223, 215, 202, 0.75);}

*/

/* INTRANET */
#LoginContent .card-header::before { content: ""; display: inline-block;
    background: url(../CustomContent/logo_header.png) 0 0 / 236px no-repeat;
    width: 236px; height: 70px; }

    /* Login */
        #LoginContent { background: linear-gradient(-45deg, #ccc, #eee, #ddd, #ccc); background-size: 100% 100%; }
        #LoginContent .box-admin { margin-top:-50px; width: 500px; color: #000; box-shadow: 0px 10px 50px 0px rgba(127,127,127,0.75); -webkit-box-shadow: 0px 10px 50px 0px rgba(127,127,127,0.75); -moz-box-shadow: 0px 10px 50px 0px rgba(127,127,127,0.75); }
        #LoginContent .box-admin .card-footer { display: none }
        #LoginContent .card-header img {display:none;}
        #LoginContent .card-header span {display:none;}
        #LoginContent .card-header::before {content:""; display:inline-block; background: url('../CustomContent/logo-licencia-sampa.png') 0 / 180px no-repeat; height: 80px;}


/* Intranet - Protocolo */
.cabecalhoProtocoloAnalise { display: flex; margin-left: -5px; margin-right: -5px; flex-wrap: wrap; margin-bottom: 10px; align-self: flex-end; justify-content: flex-end;}
.cabecalhoProtocoloAnalise > div { padding-left: 5px; padding-right: 5px; margin-bottom: 10px; flex: 1 1 0; align-self: flex-end;}
.cabecalhoProtocoloAnalise .cProtocolo { min-width: 110px; }
.cabecalhoProtocoloAnalise .cAberturaProtocolo, .cabecalhoProtocoloAnalise .cAberturaProcesso { min-width: 150px; }
.cabecalhoProtocoloAnalise .cProcesso { min-width: 160px; }
.cabecalhoProtocoloAnalise .cAssunto { flex-grow: 5; min-width: 200px;}
.cabecalhoProtocoloAnalise .cSituacao { min-width: 240px; }
.cabecalhoProtocoloAnalise #btnAcoes { width: 120px; height: 35px; align-self: flex-end; margin: 0px 5px 10px 5px; }

/*Pesquisa protocolo*/
/* Intranet - Pesquisa Filtro */
.cNumeroContribuinteSQL { flex-basis: 0; flex-grow: 1; max-width: 100%; }